"""
Identifier:     KSC-SJ4-csst_common/status.py
Name:           status.py
Description:    CSST status
Author:         Bo Zhang
Created:        2022-10-04
Modified-History:
    2022-10-04, Bo Zhang, created
    2022-10-04, Bo Zhang, added CsstStatus
"""
from enum import IntEnum


class CsstStatus(IntEnum):
    PERFECT = 0
    WARNING = 1
    ERROR = 2
    # status list to be completed

    # def __repr__(self):
    #     return '<%s.%s>' % (self.__class__.__name__, self.name)


if __name__ == "__main__":
    print(CsstStatus)
    print(CsstStatus.PROBLEMATIC)
    print(CsstStatus(1))
    print(CsstStatus(1) == CsstStatus.PROBLEMATIC)
